package com.mortals.xhx.module.site.model;

import java.util.List;
import com.mortals.xhx.module.site.model.SiteModelEntity;
/**
* 站点模块查询对象
*
* @author zxfei
* @date 2022-01-10
*/
public class SiteModelQuery extends SiteModelEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 开始 系统模块ID */
    private Long modelIdStart;

    /** 结束 系统模块ID */
    private Long modelIdEnd;

    /** 增加 系统模块ID */
    private Long modelIdIncrement;

    /** 系统模块ID列表 */
    private List <Long> modelIdList;

    /** 系统模块名称 */
    private List<String> modelNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteModelQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteModelQuery> andConditionList;

    public SiteModelQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 开始 系统模块ID
    * @return modelIdStart
    */
    public Long getModelIdStart(){
        return this.modelIdStart;
    }

    /**
    * 设置 开始 系统模块ID
    * @param modelIdStart
    */
    public void setModelIdStart(Long modelIdStart){
        this.modelIdStart = modelIdStart;
    }

    /**
    * 获取 结束 系统模块ID
    * @return $modelIdEnd
    */
    public Long getModelIdEnd(){
        return this.modelIdEnd;
    }

    /**
    * 设置 结束 系统模块ID
    * @param modelIdEnd
    */
    public void setModelIdEnd(Long modelIdEnd){
        this.modelIdEnd = modelIdEnd;
    }

    /**
    * 获取 增加 系统模块ID
    * @return modelIdIncrement
    */
    public Long getModelIdIncrement(){
        return this.modelIdIncrement;
    }

    /**
    * 设置 增加 系统模块ID
    * @param modelIdIncrement
    */
    public void setModelIdIncrement(Long modelIdIncrement){
        this.modelIdIncrement = modelIdIncrement;
    }

    /**
    * 获取 系统模块ID
    * @return modelIdList
    */
    public List<Long> getModelIdList(){
        return this.modelIdList;
    }

    /**
    * 设置 系统模块ID
    * @param modelIdList
    */
    public void setModelIdList(List<Long> modelIdList){
        this.modelIdList = modelIdList;
    }

    /**
    * 获取 系统模块名称
    * @return modelNameList
    */
    public List<String> getModelNameList(){
        return this.modelNameList;
    }

    /**
    * 设置 系统模块名称
    * @param modelNameList
    */
    public void setModelNameList(List<String> modelNameList){
        this.modelNameList = modelNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SiteModelQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SiteModelQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SiteModelQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SiteModelQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SiteModelQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public SiteModelQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public SiteModelQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public SiteModelQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public SiteModelQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public SiteModelQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public SiteModelQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public SiteModelQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  系统模块ID
    * @param modelId
    */
    public SiteModelQuery modelId(Long modelId){
	    setModelId(modelId);
		return this;
    }
	
	 /**
    * 设置 开始 系统模块ID
    * @param modelIdStart
    */
    public SiteModelQuery modelIdStart(Long modelIdStart){
		this.modelIdStart = modelIdStart;
		return this;
    }

    /**
    * 设置 结束 系统模块ID
    * @param modelIdEnd
    */
    public SiteModelQuery modelIdEnd(Long modelIdEnd){
		this.modelIdEnd = modelIdEnd;
		return this;
    }

    /**
    * 设置 增加 系统模块ID
    * @param modelIdIncrement
    */
    public SiteModelQuery modelIdIncrement(Long modelIdIncrement){
		this.modelIdIncrement = modelIdIncrement;
		return this;
    }

    /**
    * 设置 系统模块ID
    * @param modelIdList
    */
    public SiteModelQuery modelIdList(List<Long> modelIdList){
        this.modelIdList = modelIdList;
		return this;
        }


	/**
    * 设置 系统模块名称
    * @param modelName
    */
    public SiteModelQuery modelName(String modelName){
        setModelName(modelName);
		return this;
    }

    /**
    * 设置 系统模块名称
    * @param modelNameList
    */
    public SiteModelQuery modelNameList(List<String> modelNameList){
        this.modelNameList = modelNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SiteModelQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SiteModelQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SiteModelQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SiteModelQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SiteModelQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SiteModelQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SiteModelQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SiteModelQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SiteModelQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}